/*
 * File: Accumulate.java
 * ==========================================
 * A program that reads and accumulates numbers from the user.
 * 
 */
import acm.program.*;

public class Accumulate extends ConsoleProgram {
	/* A sentinel value that the user can enter to indicate "no more numbers." */
	private static final int SENTINEL = 0;

	public void run() {
		/* So all y'all in the back can see! */
		setFont("DejaVuSerif-BOLD-24");
		
		int total = 0;
		while (true) {
			/* Read a value and break out of the loop if the user is done. */
			int current = readInt("Enter a number: ");
			if (current == SENTINEL) {
				break;
			}
			
			total += current;
		}
		
		println("Total is: " + total);
	}
}
