/*
 * File: RocketLaunch.java
 * 
 * A program that displays the countdown timer from the Apollo 11
 * launch, but with Good Style!
 */

import acm.program.*;

public class BeautifulRocketLaunch extends ConsoleProgram {
	/* The time before launch that the countdown starts. */
	private static final int COUNTDOWN_START = 60;
	
	/* The time before launch where guidance is transfered to
	 * the Saturn V.
	 */
	private static final int GUIDANCE_START = 15;
	
	/* The time before launch where fuel begins flowing to the
	 * rocket.
	 */
	private static final int IGNITION_START = 9;

	public void run() {
		/* So all y'all in the back can see! */
		setFont("DejaVuSerif-BOLD-24");
		
		/* Do the launch countdown! */
		for (int i = COUNTDOWN_START; i > 0; i--) {
			println("T-" + i + " seconds.");

			/* Specific mission commands. */
			if (i == GUIDANCE_START) {
				println("Guidance is internal.");
			}
			if (i == IGNITION_START) {
				println("Ignition sequence start.");
			}
		}

		println("All engines running. Lift-off!");
	}
}
